<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE topic PUBLIC "-//OASIS//DTD DITA Topic//EN" "topic.dtd">
<topic id="dcpp_how_to_use_part_chapter_and_section_numbers_in_links">
  <title>How to Use Part, Chapter, and Subtopics Numbers in Links</title>
  <body>
    <p id="p_uyr_cgk_54b">This topic is applicable if you have enabled <xref href="dcpp_numbering_types.dita">deep
        numbering</xref>. Suppose you have a link in the third chapter that points to a paragraph in
      the second subtopic of the first chapter and you need this structural information (1.2)
      presented to the user, just after the link text. To do this, you can use the
        <codeph>target-counters</codeph> CSS function to extract the entire context of the counters
      from the target. The <codeph>chapter-and-sections</codeph> built-in counter is already updated
      with both the chapter number and the nested topics:</p>
    <codeblock  id="codeblock_vyr_cgk_54b">*[class ~= "topic/xref"]:after {
	content: target-counters(attr(href), chapter-and-sections, ".") !important;	
}</codeblock>
    <p id="p_wyr_cgk_54b">This counter does not include the part number, so be careful when linking
      between parts (consider adding the target part number explicitly):</p>
    <codeblock  id="codeblock_xyr_cgk_54b">*[class ~= "topic/xref"]:after {
	content: "[" target-counter(attr(href), part, upper-roman) "/" target-counters(attr(href), chapter-and-sections, ".") "]" !important;
	color:blue;	
}</codeblock>
  </body>
  <related-links>
    <linklist>
      <title>Related Information:</title>
      <link href="dcpp_numbering_types.dita"/>
    </linklist>
  </related-links>
</topic>
